<bugID>472285<Summary>only last edited tag suggested in bookmark tags edit when adding/editing tags at the beginning or middle</Summary><Description>Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b3pre) Gecko/20090104 Shiretoko/3.1b3pre ID:20090104020455

With the latest builds it's not possible to get the autocompletion working while editing a tag at the beginning or in the middle of the tags field.

Steps to reproduce:
1. Open a webpage and add it to your bookmarks
2. Add at least 3 tags to this bookmark and close the dialog
3. Click star icon or Cmd/Ctrl+D to open it again
4. Goto the tags field
5. Remove the last letter of the first or the middle tag

With step 5 no autocompletion pops-up. It's only shown when you do step 4 with the last entered tag. Same happens when you add another existing tag. We should show the autocompletion each time whether which tag is edited.</Description></bugID>